# Image Formats

Learn about image formats supported in Nuke and how to extend them.

## Overview

Nuke has built-in support for basic image formats like `jpeg`, `png`, and `heif`. It also has the infrastructure for supporting a variety of custom image formats.

Nuke is capable of driving progressive decoding, animated image rendering, progressive animated image rendering, drawing vector images directly or converting them to bitmaps, parsing thumbnails included in the image containers, and more.

## Topics

### Supported Images

- <doc:supported-image-formats>
- ``PlatformImage``
- ``AssetType``

### Decoding

- <doc:image-decoding>
- ``ImageDecoding``
- ``ImageDecoders``
- ``ImageDecodingError``
- ``ImageDecodingContext``
- ``ImageDecoderRegistry``

### Encoding

- <doc:image-encoding>
- ``ImageEncoding``
- ``ImageEncoders``
- ``ImageEncodingContext``
